perf_stat_start() {
    local opt_args=""
    if [ "$PERF_STAT_NO_CORES" != "true" ]; then
         opt_args="$opt_args -C 0-$((THREADS - 1))"
    fi
    $PERF stat $PERF_EXTRA_ARGS $core_args -e LLC-load-misses:u,LLC-load-misses:k,LLC-loads:u,LLC-loads:k,LLC-store-misses:u,LLC-store-misses:k,LLC-stores:u,LLC-stores:k,task-clock,cycles:u,cycles:k,instructions:u,instructions:k -o "$DATA_OUT/stat_$1$EXP_AUX_SUFFIX.txt" &
    PERF_STAT_PID=$!
}

perf_stat_stop() {
    kill -INT "$PERF_STAT_PID" || true
}
